# PCREFilter Class Reference
[Tools for primitive's filtration]

Inheritance diagram for PCREFilter:
[legend]

List of all members.

## Public Member Functions

| setExpression ($search, $replace)
| apply ($value)
| setLimit ($limit)

## Static Public Member Functions

static | create ()

## Private Attributes

| $search = null
| $replace = null
| $limit = -1

## Detailed Description

Definition at line 15 of file PCREFilter.class.php.

## Member Function Documentation

PCREFilter::apply | ( | $ | value | ) |

Implements Filtrator.

Definition at line 40 of file PCREFilter.class.php.

static PCREFilter::create | ( |  | ) | `[static]`

Returns:
  PCREFilter

Definition at line 24 of file PCREFilter.class.php.

Referenced by Filter::pcre().

PCREFilter::setExpression | ( | $ | search,
|  | $ | replace |
| ) |  |  |

Returns:
  PCREFilter

Definition at line 32 of file PCREFilter.class.php.

References $replace, and $search.

PCREFilter::setLimit | ( | $ | limit | ) |

Returns:
  PCREFilter

Definition at line 54 of file PCREFilter.class.php.

References $limit.

## Member Data Documentation

PCREFilter::$limit = -1`[private]`

Definition at line 19 of file PCREFilter.class.php.

Referenced by setLimit().

PCREFilter::$replace = null`[private]`

Definition at line 18 of file PCREFilter.class.php.

Referenced by setExpression().

PCREFilter::$search = null`[private]`

Definition at line 17 of file PCREFilter.class.php.

Referenced by setExpression().

The documentation for this class was generated from the following file:

- core/Form/Filters/PCREFilter.class.php